{ lib, pkgs, ... }:
let
  ytdl-format = map (vc: "bestvideo[vcodec^=${vc}][width<=1920]+bestaudio[acodec^=opus]") [ "av01" "vp9" "avc1" ]
    ++ [
    "bestvideo+bestaudio[acodec^=opus]"
    "bestvideo+bestaudio"
    "best"
  ];
in
{
  xdg.configFile."ytcc/ytcc.conf".text = lib.generators.toINI { } {
    ytcc = {
      mpv_flags = lib.concatStringsSep " " [
        "--really-quiet"
        "--volume=90"
        "--profile=clear-speed"
        "--ytdl"
        "--ytdl-format=${lib.concatStringsSep "/" ytdl-format}"
      ];
    };

    theme = {
      table_alternate_background = 0;
    };
  };

  home.packages = with pkgs; [ ytcc ];
}
